'use strict';
var yeoman = require('yeoman-generator');
var chalk = require('chalk');
var yosay = require('yosay');
var path = require('path');
var _ = require('lodash');

module.exports = yeoman.Base.extend({
  prompting: function () {
    // Have Yeoman greet the user.
    this.log(yosay(
      'Welcome to the awe-inspiring ' + chalk.red('generator-static-vue') + ' generator!'
    ));

    var prompts = [{
      type: 'checkbox',
      name: 'pkg',
      message: 'What would you like to use?',
      choices: ['bootstrap', 'less'],
      default: ['bootstrap', 'less']
    }, {
      type: 'input',
      name: 'title',
      message: 'Project title',
      default: _.camelCase(process.cwd().split(path.sep).pop())
    }];

    return this.prompt(prompts).then(function (props) {
      // To access props later use this.props.someAnswer;
      this.props = props;
    }.bind(this));
  },

  writing: function () {
    this.fs.copyTpl(
      this.templatePath('index.ejs'),
      this.destinationPath('index.html'),
      {props: this.props}
    );
    this.fs.copy(
      this.templatePath('.editorconfig'),
      this.destinationPath('.editorconfig')
    );
  }
});
